Package org.globus.io.streams

# Class GassOutputStream

java.lang.Object
java.io.OutputStream
org.globus.io.streams.GlobusOutputStream
org.globus.io.streams.HTTPOutputStream
org.globus.io.streams.GassOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class GassOutputStream extends HTTPOutputStream

## Field Summary

### Fields inherited from class org.globus.io.streams.HTTPOutputStream

`append, in, output, size, socket`

## Constructor Summary

Constructors
Constructor
Description
`GassOutputStream(String host, int port, String file, long length, boolean append)`
Opens Gass output stream in secure mode with default user credentials.
`GassOutputStream(GSSCredential cred, String host, int port, String file, long length, boolean append)`
Opens Gass output stream in secure mode with specified user credentials.
`GassOutputStream(GSSCredential cred, Authorization auth, String host, int port, String file, long length, boolean append)`
Opens Gass output stream in secure mode with specified user credentials.

## Method Summary

### Methods inherited from class org.globus.io.streams.HTTPOutputStream

`abort, close, flush, put, write, write, write`

### Methods inherited from class java.io.OutputStream

`nullOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GassOutputStream

public GassOutputStream(String host, int port, String file, long length, boolean append) throws GassException, GSSException, IOException
Opens Gass output stream in secure mode with default user credentials.

Parameters:
  `host` - host name of the gass server.
  `port` - port number of the gass server.
  `file` - name of the file on the remote side.
  `length` - total size of the data to be transfered. Use -1 if unknown. The data then will be transfered in chunks.
  `append` - if true, append data to existing file. Otherwise, the file will be overwritten.
Throws:
  `GassException`
  `GSSException`
  `IOException`

### GassOutputStream

public GassOutputStream(GSSCredential cred, String host, int port, String file, long length, boolean append) throws GassException, GSSException, IOException
Opens Gass output stream in secure mode with specified user credentials.

Parameters:
  `cred` - user credentials to use. If null, default user credentials will be used.
  `host` - host name of the gass server.
  `port` - port number of the gass server.
  `file` - name of the file on the remote side.
  `length` - total size of the data to be transfered. Use -1 if unknown. The data then will be transfered in chunks.
  `append` - if true, append data to existing file. Otherwise, the file will be overwritten.
Throws:
  `GassException`
  `GSSException`
  `IOException`

### GassOutputStream

public GassOutputStream(GSSCredential cred, Authorization auth, String host, int port, String file, long length, boolean append) throws GassException, GSSException, IOException
Opens Gass output stream in secure mode with specified user credentials.

Parameters:
  `cred` - user credentials to use. If null, default user credentials will be used.
  `host` - host name of the gass server.
  `port` - port number of the gass server.
  `file` - name of the file on the remote side.
  `length` - total size of the data to be transfered. Use -1 if unknown. The data then will be transfered in chunks.
  `append` - if true, append data to existing file. Otherwise, the file will be overwritten.
Throws:
  `GassException`
  `GSSException`
  `IOException`